class BitemController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @bitem_pages, @bitems = paginate :bitems, :per_page => 10
  end

  def show
    @bitem = Bitem.find(params[:id])
  end

  def new
    @bitem = Bitem.new
  end

  def create
    @bitem = Bitem.new(params[:bitem])
    if @bitem.save
      flash[:notice] = 'Bitem was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @bitem = Bitem.find(params[:id])
  end

  def update
    @bitem = Bitem.find(params[:id])
    if @bitem.update_attributes(params[:bitem])
      flash[:notice] = 'Bitem was successfully updated.'
      redirect_to :action => 'show', :id => @bitem
    else
      render :action => 'edit'
    end
  end

  def destroy
    Bitem.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
