class Bitem < ActiveRecord::Base
  belongs_to :customer
  belongs_to :merchandise

  validates_presence_of :date
  validates_presence_of :customer_id
  validates_presence_of :merchandise_id
  validates_numericality_of :customer_id
  validates_numericality_of :merchandise_id
  validates_associated :customer
  validates_associated :merchandise

  protected
  def validate
    errors.add(:customer_id, "does not exist is the database") if customer.nil?
    errors.add(:merchandise_id, "does not exist in the database") if merchandise.nil?
  end
end
